## rekonq 0.7.0

=== CMakeLists.txt ===
# Andrea Diamantini - adjam7 at gmail dot com
# rekonq project

PROJECT( rekonq )

# ==================================================================================
# Informations to update before to release this package.

# rekonq info
SET(REKONQ_VERSION "0.7.0" )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )

SET(REKONQ_SITE "http://rekonq.kde.org")

# ==================================================================================
# minimum cmake required

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)

# ==================================================================================


FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
FIND_PACKAGE(KDE4 4.5.0 REQUIRED)

INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

# ==================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "-----------------------------------------------------------------------")
MESSAGE(STATUS " rekonq ${REKONQ_VERSION} dependencies results  <${REKONQ_SITE}>")
MESSAGE(STATUS "")

# Require shared libraries results.

# ----------------------------------- Qt -------------------------------------
SET(QT_VERS_STR
    "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}"
   )

IF(QT4_FOUND)
    MESSAGE(STATUS " Qt library found...................... YES")
    MESSAGE(STATUS " Qt version ${QT_VERS_STR} found! ")
ELSE(QT4_FOUND)
    MESSAGE(STATUS " Qt library found...................... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
    MESSAGE(STATUS "")
ENDIF(QT4_FOUND)

MESSAGE(STATUS "")

# ---------------------------------- KDE -------------------------------------
SET(KDE_VERS_STR
    "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}"
   )

IF(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... YES")
    MESSAGE(STATUS " KDE version ${KDE_VERS_STR} found! ")
ELSE(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least KDE ${KDE_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " KDE website is at http://www.kde.org")
    MESSAGE(STATUS "")
ENDIF(KDE4_FOUND)


##### FINAL RESULTS #####

# create suspance..
MESSAGE(STATUS "")
MESSAGE(STATUS "")

IF(QT4_FOUND AND KDE4_FOUND)
    MESSAGE(STATUS " rekonq will be compiled............... YES")
    SET(REKONQ_CAN_BE_COMPILED true)
ELSE(QT4_FOUND AND KDE4_FOUND)
    MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
    SET(REKONQ_CAN_BE_COMPILED false)
ENDIF(QT4_FOUND AND KDE4_FOUND)

MESSAGE(STATUS "")
MESSAGE(STATUS "-----------------------------------------------------------------------")
MESSAGE(STATUS "")

# ===============================================================================

IF(REKONQ_CAN_BE_COMPILED)

    ADD_SUBDIRECTORY( src )
    ADD_SUBDIRECTORY( icons )
    ADD_SUBDIRECTORY( docs )
    ADD_SUBDIRECTORY( i18n )

ENDIF(REKONQ_CAN_BE_COMPILED)

# ================================================================================

=== docs/CMakeLists.txt ===
########### install files ################
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rekonq)

=== src/CMakeLists.txt ===
### ------- sub dirs -------

ADD_SUBDIRECTORY( data )
ADD_SUBDIRECTORY( tests )


### ------- SETTING REKONQ FILES..

SET( rekonq_KDEINIT_SRCS
    application.cpp
    clicktoflash.cpp
    filterurljob.cpp
    findbar.cpp
    iconmanager.cpp
    mainview.cpp
    mainwindow.cpp
    messagebar.cpp
    networkaccessmanager.cpp
    newtabpage.cpp
    notificationbar.cpp
    paneltreeview.cpp
    previewselectorbar.cpp
    protocolhandler.cpp
    sessionmanager.cpp
    tabbar.cpp
    tabhighlighteffect.cpp
    urlfilterproxymodel.cpp
    urlpanel.cpp
    walletbar.cpp
    webicon.cpp
    webinspectorpanel.cpp
    webpage.cpp
    webpluginfactory.cpp
    websslinfo.cpp
    websnap.cpp
    webview.cpp
    webtab.cpp
    zoombar.cpp
    #----------------------------------------
    history/autosaver.cpp
    history/historymanager.cpp
    history/historymodels.cpp
    history/historypanel.cpp
    #----------------------------------------
    settings/settingsdialog.cpp
    settings/adblockwidget.cpp
    settings/appearancewidget.cpp
    settings/generalwidget.cpp
    settings/tabswidget.cpp
    settings/webkitwidget.cpp
    settings/networkwidget.cpp
    #----------------------------------------
    bookmarks/bookmarkprovider.cpp
    bookmarks/bookmarkspanel.cpp
    bookmarks/bookmarkstreemodel.cpp
    bookmarks/bookmarkscontextmenu.cpp
    bookmarks/bookmarkstoolbar.cpp
    bookmarks/bookmarkowner.cpp
    #----------------------------------------
    adblock/adblockhostmatcher.cpp
    adblock/adblockmanager.cpp
    adblock/adblocknetworkreply.cpp
    adblock/adblockrule.cpp
    adblock/adblockrulefallbackimpl.cpp
    adblock/adblockrulenullimpl.cpp
    adblock/adblockruletextmatchimpl.cpp
    #----------------------------------------
    urlbar/stackedurlbar.cpp
    urlbar/urlbar.cpp
    urlbar/completionwidget.cpp
    urlbar/urlresolver.cpp
    urlbar/listitem.cpp
    urlbar/rsswidget.cpp
    urlbar/bookmarkwidget.cpp
    urlbar/webshortcutwidget.cpp
    #----------------------------------------
    analyzer/analyzerpanel.cpp
    analyzer/networkanalyzer.cpp
    #----------------------------------------
    opensearch/searchengine.cpp
    opensearch/opensearchwriter.cpp
    opensearch/opensearchreader.cpp
    opensearch/opensearchmanager.cpp
    opensearch/opensearchengine.cpp
    opensearch/suggestionparser.cpp
    #----------------------------------------
    useragent/useragentinfo.cpp
    useragent/useragentwidget.cpp
)


KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
    settings/settings_general.ui
    settings/settings_tabs.ui
    settings/settings_appearance.ui
    settings/settings_webkit.ui
    settings/settings_adblock.ui
    cleardata.ui
    useragent/useragentsettings.ui
 )

KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )


### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/analyzer
                        ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/history
                        ${CMAKE_CURRENT_SOURCE_DIR}/opensearch
                        ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                        ${CMAKE_CURRENT_SOURCE_DIR}/settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                        ${CMAKE_CURRENT_SOURCE_DIR}/useragent
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )

### --------------- ADDING EXECUTABLE...

KDE4_ADD_KDEINIT_EXECUTABLE( rekonq ${rekonq_KDEINIT_SRCS} main.cpp )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES ( kdeinit_rekonq
                        ${QT_LIBRARIES}
                        ${QT_QTSCRIPT_LIBRARY}
                        ${QT_QTWEBKIT_LIBRARY}
                        ${KDE4_KDEWEBKIT_LIBS}
                        ${KDE4_KUTILS_LIBS}
                        ${KDE4_KDEUI_LIBS}
                        ${KDE4_KIO_LIBS}
                        ${KDE4_KPARTS_LIBS}
                        ${KDE4_THREADWEAVER_LIBRARIES}
)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )

INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL( FILES rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )

=== src/data/CMakeLists.txt ===
# image files
INSTALL(
    FILES
    bg2.png bg.png tile.gif category.png button.png
    busywidget.gif loading.mng
    webkit-icon.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

# default bookmarks
INSTALL(
    FILES
    defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

# .desktop file
INSTALL(
    PROGRAMS rekonq.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

# htmls
INSTALL(
    FILES
    rekonqinfo.html
    home.html
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

# opensearch engines
INSTALL(
    FILES
    beolingus.xml
    bing.xml
    yahoo.xml
    de2en.xml
    dictfr.xml
    facebook.xml
    google.xml
    kde_techbase.xml
    kde_userbase.xml
    youtube.xml
    voila.xml
    wikia.xml
    wikipedia.xml
    wiktionary.xml
    wr_english.xml
    db_opensearch.json
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/opensearch
)

=== debian/changelog ===
rekonq (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream final release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Apr 2011 16:44:26 +0100

rekonq (0.6.95+git20110331-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add kubuntu_07_initial_preference.diff set initial rekonq preference
    higher than konqueror

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Mar 2011 17:09:35 +0100

rekonq (0.6.95-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/kubuntu_06_restricted_install.diff: patch updated. 

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Mon, 21 Mar 2011 13:32:25 +0000

rekonq (0.6.80-0ubuntu1) natty; urgency=low

  * New upstream alpha release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 12:07:41 +0000

rekonq (0.6.1-0ubuntu3) natty; urgency=low

  * Add kget as a suggests of rekonq. (It will show up as an addon in the
    Ubuntu and Muon Software Centers)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 23 Dec 2010 00:05:51 -0500

rekonq (0.6.1-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4:4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 06:52:13 +0200

=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.6.0)
Standards-Version: 3.9.1
Homepage: http://rekonq.kde.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/rekonq/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/rekonq/trunk/

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-bin
Provides: www-browser
Suggests: kget
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg                    
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, rekonq (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=extragear-network_rekonq

LDFLAGS += -Wl,--as-needed

%:
	dh --parallel --with kde $@

override_dh_strip:
	dh_strip --dbg-package=rekonq-dbg

override_dh_auto_test:
	# disable tests as they require a running X server

fetch_translations:
	mkdir -p po
	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-network/rekonq.po; cd ..; done
	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *

## rekonq 0.7.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.7.0" )
+SET(REKONQ_VERSION "0.7.90" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -22,12 +22,14 @@
 
 
 FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
-FIND_PACKAGE(KDE4 4.5.0 REQUIRED)
+FIND_PACKAGE(KDE4 4.6.90 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
 INCLUDE(FindPackageHandleStandardArgs)
 INCLUDE(KDE4Defaults)
 INCLUDE(MacroLibrary)
+ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+
 
 # ==================================================================================
 # Log messages
@@ -99,7 +101,7 @@
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
     ADD_SUBDIRECTORY( docs )
-    ADD_SUBDIRECTORY( i18n )
+#    ADD_SUBDIRECTORY( i18n )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)

=== src/data/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     FILES
     bg2.png bg.png tile.gif category.png button.png
     busywidget.gif loading.mng
-    webkit-icon.png
+    webkit-icon.png autoscroll.png
     DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
 )
 
@@ -11,6 +11,7 @@
 INSTALL(
     FILES
     defaultbookmarks.xbel
+    default_rekonq.css
     DESTINATION ${DATA_INSTALL_DIR}/rekonq
 )

=== debian/changelog ===
rekonq (0.7.90-0ubuntu1) oneiric; urgency=low

  * New upstream beta release (LP: #861631)
  * Dropped fix_history_ordering.diff
  * Refreshed dont_set_app_as_parent.diff
  * Updated the copyright

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Mon, 19 Sep 2011 11:36:20 +0200

rekonq (0.7.0-2) UNRELEASED; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 28 May 2011 01:56:24 +0200

rekonq (0.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #618906)

  [ Felix Geyer ]
  * Point Vcs fields to the git repository.
  * Add build dependency on libqtwebkit-dev. (Closes: #611270)
  * Drop build dependency on pkg-config and libgtk2.0-dev.
  * Set minimum version of kdelibs5-dev to 4.5.0.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Switch to debhelper compat level 8.
  * Set homepage to http://rekonq.kde.org/.
  * Add kget as a suggests of rekonq.
  * Drop CVE-2010-2536_fix_xss_vulnerabilities.diff, fixed upstream.
  * Add DM-Upload-Allowed: yes.

  [ José Manuel Santamaría Lema ]
  * Add libqtwebkit4-dbg to Recommends.
  * Add dont_set_app_as_parent.diff; fixes a crash on exit.
  * Add fix_history_ordering.diff in order to make history browsing work
    properly.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 28 May 2011 00:33:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbg-package=rekonq-dbg

override_dh_auto_test:
	# disable tests as they require a running X server

## rekonq 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.7.90" )
+SET(REKONQ_VERSION "0.8.0" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -101,7 +101,7 @@
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
     ADD_SUBDIRECTORY( docs )
-#    ADD_SUBDIRECTORY( i18n )
+    ADD_SUBDIRECTORY( i18n )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)

=== src/tests/CMakeLists.txt ===
##### ---------- General Settings ----------

SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_BINARY_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/..
                        ${CMAKE_CURRENT_SOURCE_DIR}/../adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/../analyzer
                        ${CMAKE_CURRENT_SOURCE_DIR}/../bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/../history
                        ${CMAKE_CURRENT_SOURCE_DIR}/../opensearch
                        ${CMAKE_CURRENT_SOURCE_DIR}/../rekonqpage
                        ${CMAKE_CURRENT_SOURCE_DIR}/../settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/../urlbar
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

##### ------------- findbar test

kde4_add_unit_test( findbar_test findbar_test.cpp )

target_link_libraries( findbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainwindow test

kde4_add_unit_test( mainwindow_test mainwindow_test.cpp )
 
target_link_libraries( mainwindow_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainview test

kde4_add_unit_test( mainview_test mainview_test.cpp )
 
target_link_libraries( mainview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- networkaccessmanager test

kde4_add_unit_test( networkaccessmanager_test networkaccessmanager_test.cpp )
 
target_link_libraries( networkaccessmanager_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- protocolhandler test

kde4_add_unit_test( protocolhandler_test protocolhandler_test.cpp )
 
target_link_libraries( protocolhandler_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- sessionmanager test

kde4_add_unit_test( sessionmanager_test sessionmanager_test.cpp )
 
target_link_libraries( sessionmanager_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- tabbar test

kde4_add_unit_test( tabbar_test tabbar_test.cpp )

target_link_libraries( tabbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- walletbar test

kde4_add_unit_test( walletbar_test walletbar_test.cpp )

target_link_libraries( walletbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webpage test

kde4_add_unit_test( webpage_test webpage_test.cpp )

target_link_libraries( webpage_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- websnap test

kde4_add_unit_test( websnap_test websnap_test.cpp )

target_link_libraries( websnap_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webtab test

kde4_add_unit_test( webtab_test webtab_test.cpp )

target_link_libraries( webtab_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webview test

kde4_add_unit_test( webview_test webview_test.cpp )

target_link_libraries( webview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- urlbar test

kde4_add_unit_test( urlbar_test urlbar_test.cpp )

target_link_libraries( urlbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- listitem test

kde4_add_unit_test( listitem_test listitem_test.cpp )

target_link_libraries( listitem_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

############################################################

=== debian/changelog ===
rekonq (0.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #647903)

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.
  * Bump kdelibs5-dev build depend to 4:4.7.
  * Remove patches:
    - dont_set_app_as_parent.diff, applied upstream.
    - fix_history_ordering.diff, applied upstream.
  * rekonq binary package depends on kde-baseapps-bin instead of kdebase-bin.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Dec 2011 10:44:45 -0300

=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 8),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.7),
               libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://rekonq.kde.org/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/rekonq.git

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-bin
Suggests: kget
Provides: www-browser
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, rekonq (= ${binary:Version})
Recommends: kdelibs5-dbg, libqtwebkit4-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.

## rekonq 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.8.0" )
+SET(REKONQ_VERSION "0.8.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -100,9 +100,21 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
-    ADD_SUBDIRECTORY( docs )
-    ADD_SUBDIRECTORY( i18n )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)
 
 # ================================================================================
+
+# doc & translations
+set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)
+
+# Do not remove or modify these.  
+# The release script substitutes in for these comments with appropriate doc and translation directories.
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )
+
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( doc )
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
 SET( rekonq_KDEINIT_SRCS
     application.cpp
     clicktoflash.cpp
+    downloaditem.cpp
+    downloadmanager.cpp
     filterurljob.cpp
     findbar.cpp
     iconmanager.cpp
@@ -17,11 +19,12 @@
     messagebar.cpp
     networkaccessmanager.cpp
     newtabpage.cpp
-    notificationbar.cpp
     paneltreeview.cpp
     previewselectorbar.cpp
     protocolhandler.cpp
     sessionmanager.cpp
+    sslinfodialog.cpp
+    tabpreviewpopup.cpp
     tabbar.cpp
     tabhighlighteffect.cpp
     urlfilterproxymodel.cpp
@@ -43,7 +46,6 @@
     history/historypanel.cpp
     #----------------------------------------
     settings/settingsdialog.cpp
-    settings/adblockwidget.cpp
     settings/appearancewidget.cpp
     settings/generalwidget.cpp
     settings/tabswidget.cpp
@@ -64,6 +66,7 @@
     adblock/adblockrulefallbackimpl.cpp
     adblock/adblockrulenullimpl.cpp
     adblock/adblockruletextmatchimpl.cpp
+    adblock/adblockwidget.cpp
     #----------------------------------------
     urlbar/stackedurlbar.cpp
     urlbar/urlbar.cpp
@@ -71,8 +74,10 @@
     urlbar/urlresolver.cpp
     urlbar/listitem.cpp
     urlbar/rsswidget.cpp
+    urlbar/sslwidget.cpp
     urlbar/bookmarkwidget.cpp
     urlbar/webshortcutwidget.cpp
+    urlbar/favoritewidget.cpp
     #----------------------------------------
     analyzer/analyzerpanel.cpp
     analyzer/networkanalyzer.cpp
@@ -94,8 +99,9 @@
     settings/settings_tabs.ui
     settings/settings_appearance.ui
     settings/settings_webkit.ui
-    settings/settings_adblock.ui
+    adblock/settings_adblock.ui
     cleardata.ui
+    sslinfo.ui
     useragent/useragentsettings.ui
  )

=== debian/changelog ===
rekonq (0.8.1-1) experimental; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Update copyright file.
  * Enable hardening build flags.
    - Switch to debhelper compat level v9.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 27 Dec 2011 01:26:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.9.0~),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),

## rekonq 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.8.1" )
+SET(REKONQ_VERSION "0.9.0" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -21,7 +21,17 @@
 # ==================================================================================
 
 
-FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
+
+# Ensure we have QtWebKit >= 2.2.0
+FIND_PACKAGE(PkgConfig REQUIRED)
+PKG_CHECK_MODULES(PC_QTWEBKIT REQUIRED QtWebKit>=4.8.0)
+IF(NOT PC_QTWEBKIT_FOUND)
+  MESSAGE(FATAL_ERROR "QtWebkit 2.2.0 is required for this version of Rekonq")
+ELSE()
+  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
+ENDIF()
+
 FIND_PACKAGE(KDE4 4.6.90 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
@@ -100,6 +110,7 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
+    ADD_SUBDIRECTORY( kwebapp )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)
 
@@ -108,7 +119,7 @@
 # doc & translations
 set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)
 
-# Do not remove or modify these.  
+# Do not remove or modify these.
 # The release script substitutes in for these comments with appropriate doc and translation directories.
 
 include(MacroOptionalAddSubdirectory)

## rekonq 0.9.0-1

=== debian/changelog ===
rekonq (0.9.0-1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Bump debhelper build depend to 9.
  * Build depend on pkg-config.
  * Fix watch file.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 20 Mar 2012 23:06:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 8.9.0~),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),
-               libqtwebkit-dev
-Standards-Version: 3.9.2
+               libqtwebkit-dev,
+               pkg-config
+Standards-Version: 3.9.3
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git

## rekonq 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.9.0" )
+SET(REKONQ_VERSION "0.9.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )

=== debian/changelog ===
rekonq (0.9.1-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:11 +0100

rekonq (0.9.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 14:43:44 +0200

rekonq (0.9.0-1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Mar 2012 19:57:30 +0100

rekonq (0.8.90-0ubuntu1) precise; urgency=low

  * New upstream release candidate 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 01 Mar 2012 21:47:33 +0100

rekonq (0.8.71-0ubuntu1) precise; urgency=low

  * Merge with debian, remaining changes:
    - keep kubuntu patches
  * New upstream beta release
    - refresh kubuntu_default_homepages.diff and 
      kubuntu_restricted_install.diff
  * Bump minimum debhelper version to 9 to fix lintian warning
  * Add pkg-config to build-depends

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 11 Feb 2012 19:44:49 +0100

rekonq (0.8.0-1ubuntu1) precise; urgency=low

  * Merge with Debian
   - Add back missing patches
    - kubuntu_default_homepages.diff
    - kubuntu_initial_preference.diff
    - kubuntu_no_default_bookmarks.diff
    - kubuntu_restricted_install.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Dec 2011 10:44:45 +0000

rekonq (0.8.0-0ubuntu2) precise; urgency=low

  * Remove auto-generated patch that got included by accident 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 24 Oct 2011 18:02:15 +0200

rekonq (0.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
    - copyright was standardizized

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 15 Oct 2011 12:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: rekonq
 Section: web
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9~),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),
                libqtwebkit-dev,
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git

=== debian/watch ===
version=3
http://sf.net/rekonq/rekonq-([\d.]+)\.tar\.(?:bz2|gz)

## rekonq 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.9.1" )
+SET(REKONQ_VERSION "0.9.2" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )

=== kwebapp/CMakeLists.txt ===
set( kwebapp_SRCS
    webview.cpp
    webpage.cpp
    kwebmain.cpp
 )

include_directories (   ${CMAKE_CURRENT_SOURCE_DIR}
			${CMAKE_CURRENT_BINARY_DIR}
			${QT4_INCLUDES}
			${KDE4_INCLUDES}

)


kde4_add_executable(kwebapp ${kwebapp_SRCS})

target_link_libraries(kwebapp
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
)


install(TARGETS kwebapp ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ca)
add_subdirectory(ko)
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(ro)
add_subdirectory(fi)
add_subdirectory(eo)
add_subdirectory(pt)
add_subdirectory(ga)
add_subdirectory(en_GB)
add_subdirectory(gl)
add_subdirectory(is)
add_subdirectory(sk)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(zh_CN)
add_subdirectory(el)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(th)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(bg)
add_subdirectory(nds)
add_subdirectory(fr)
add_subdirectory(eu)
add_subdirectory(bs)
add_subdirectory(da)
add_subdirectory(ru)
add_subdirectory(fa)
add_subdirectory(lt)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(sr@ijekavian)
add_subdirectory(ca@valencia)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(pt_BR)
add_subdirectory(ja)
add_subdirectory(sl)
add_subdirectory(tr)
add_subdirectory(zh_TW)
add_subdirectory(nb)
add_subdirectory(ug)
add_subdirectory(cs)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     downloadmanager.cpp
     filterurljob.cpp
     findbar.cpp
+    icondownloader.cpp
     iconmanager.cpp
     mainview.cpp
     mainwindow.cpp
@@ -22,6 +23,7 @@
     paneltreeview.cpp
     previewselectorbar.cpp
     protocolhandler.cpp
+    rekonqmenu.cpp
     sessionmanager.cpp
     sslinfodialog.cpp
     tabpreviewpopup.cpp
@@ -52,7 +54,7 @@
     settings/webkitwidget.cpp
     settings/networkwidget.cpp
     #----------------------------------------
-    bookmarks/bookmarkprovider.cpp
+    bookmarks/bookmarkmanager.cpp
     bookmarks/bookmarkspanel.cpp
     bookmarks/bookmarkstreemodel.cpp
     bookmarks/bookmarkscontextmenu.cpp
@@ -90,7 +92,18 @@
     opensearch/suggestionparser.cpp
     #----------------------------------------
     useragent/useragentinfo.cpp
+    useragent/useragentmanager.cpp
     useragent/useragentwidget.cpp
+    #----------------------------------------
+    sync/ftpsynchandler.cpp
+    sync/syncassistant.cpp
+    sync/synchandler.cpp
+    sync/syncmanager.cpp
+    #
+    sync/synccheckwidget.cpp
+    sync/syncdatawidget.cpp
+    sync/synchosttypewidget.cpp
+    sync/syncftpsettingswidget.cpp
 )
 
 
@@ -102,7 +115,13 @@
     adblock/settings_adblock.ui
     cleardata.ui
     sslinfo.ui
+    webappcreation.ui
     useragent/useragentsettings.ui
+    # ----------------------------------------
+    sync/sync_check.ui
+    sync/sync_data.ui
+    sync/sync_ftp_settings.ui
+    sync/sync_host_type.ui
  )
 
 KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )
@@ -116,8 +135,8 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                         ${CMAKE_CURRENT_SOURCE_DIR}/history
                         ${CMAKE_CURRENT_SOURCE_DIR}/opensearch
-                        ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/settings
+                        ${CMAKE_CURRENT_SOURCE_DIR}/sync
                         ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                         ${CMAKE_CURRENT_SOURCE_DIR}/useragent
                         ${CMAKE_CURRENT_BINARY_DIR}

=== src/data/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 INSTALL(
     FILES
     defaultbookmarks.xbel
-    default_rekonq.css
     DESTINATION ${DATA_INSTALL_DIR}/rekonq
 )

=== debian/changelog ===
rekonq (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump libqtwebkit-dev build dependency to 2.2.0.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 19 May 2012 16:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: rekonq
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),
-               libqtwebkit-dev,
+               libqtwebkit-dev (>= 2.2.0),
                pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
